Informatie over de beveiligingsaspecten van Beveiligingsupdate 2018-001 Swift 4.1.1 voor Ubuntu 14.04

In dit document worden de beveiligingsaspecten van Beveiligingsupdate 2018-001 Swift 4.1.1 voor Ubuntu 14.04 beschreven.

Over Apple beveiligingsupdates

Ter bescherming van onze klanten maakt Apple geen beveiligingskwesties openbaar en bespreekt of bevestigt Apple deze niet totdat een volledig onderzoek is uitgevoerd en de benodigde patches of releases beschikbaar zijn. Recente releases staan vermeld op de pagina Apple beveiligingsupdates.

Raadpleeg de pagina Apple productbeveiliging voor meer informatie over beveiliging. U kunt communicatie met Apple coderen via de Apple Product Security PGP-sleutel.

Apple beveiligingsdocumenten verwijzen naar kwetsbaarheden met CVE-ID waar mogelijk.

Beveiligingsupdate 2018-001 Swift 4.1.1 voor Ubuntu 14.04

Releasedatum: 4 mei 2018

Swift voor Ubuntu

Beschikbaar voor: Ubuntu 14.04

Niet van invloed op: Ubuntu 16.04 en 16.10

Impact: een proces kan beheerdersbevoegdheden verkrijgen en willekeurige code uitvoeren

Beschrijving: bepaalde versies van Swift op Ubuntu 14.04 bevatten een probleem waarbij bibliotheken werden geladen met schrijf- en uitvoerbevoegdheden. Dit probleem is verholpen door verbeterde bevoegdheden.

CVE-2018-4220: Apple

Informatie over producten die niet door Apple zijn gemaakt of externe websites die niet door Apple worden beheerd of getest, wordt verstrekt zonder aanbeveling of goedkeuring. Apple aanvaardt geen aansprakelijkheid wat betreft de keuze, de prestaties of het gebruik van websites of producten van derden. Apple doet geen enkele toezegging met betrekking tot de juistheid of de betrouwbaarheid van websites van derden. Aan het gebruik van internet zijn risico’s verbonden. Neem contact op met de leverancier voor meer informatie. Andere bedrijfs- en productnamen zijn mogelijk handelsmerken van de respectievelijke eigenaars.

Publicatiedatum: